#
# Copyright (c) 2015-2021 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

__docformat__ = 'restructuredtext'

from pyams_darkgreen_theme.layer import IPyAMSDarkGreenLayer
from pyams_content.component.gallery import IBaseGallery
from pyams_content.features.renderer import IContentRenderer
from pyams_default_theme.component.gallery import \
    CarouselGalleryRenderer, DefaultGalleryRenderer as DefaultGalleryRendererBase
from pyams_template.template import override_template, template_config
from pyams_utils.adapter import adapter_config


@adapter_config(name='default',
                context=(IBaseGallery, IPyAMSDarkGreenLayer),
                provides=IContentRenderer)
@template_config(template='templates/renderer-default.pt',
                 layer=IPyAMSDarkGreenLayer)
class DefaultGalleryRenderer(DefaultGalleryRendererBase):
    """Default gallery renderer"""

    resources = ()


override_template(context=CarouselGalleryRenderer,
                  template='templates/renderer-carousel.pt',
                  layer=IPyAMSDarkGreenLayer)
