#
# Copyright (c) 2015-2021 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

from zope.interface import Attribute, Interface

from pyams_content.features.header import IHeaderRendererSettings
from pyams_sequence.schema import InternalReferenceField


__docformat__ = 'restructuredtext'

from pyams_darkgreen_theme import _


class IDarkGreenThemeHeaderRendererSettings(IHeaderRendererSettings):
    """PyAMS DarkGreen theme header renderer settings"""

    search_folder = InternalReferenceField(title=_("Search engine folder"),
                                           required=False)

    search_folder_target = Attribute("Search folder target")

    menus = Attribute("Header menus")


class IDarkGreenThemeHeaderMenusContainer(Interface):
    """PyAMS DarkGreen theme menus container marker interface"""
