#
# Copyright (c) 2015-2022 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

__docformat__ = 'restructuredtext'

from z3c.form.browser.checkbox import SingleCheckBoxWidget
from z3c.form.interfaces import INPUT_MODE

from pyams_darkgreen_theme.layer import IPyAMSDarkGreenLayer
from pyams_form.help import HelpContentProvider
from pyams_form.interfaces import IForm
from pyams_form.widget import override_widget_template
from pyams_template.template import override_template


override_template(context=IForm,
                  template='templates/form.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=HelpContentProvider,
                  template='templates/help.pt',
                  layer=IPyAMSDarkGreenLayer)


override_widget_template(widget=SingleCheckBoxWidget,
                         mode=INPUT_MODE,
                         template='templates/single-checkbox-input.pt',
                         layer=IPyAMSDarkGreenLayer)
